Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.util
Class MmTabbedPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TabbedPaneUI
              javax.swing.plaf.basic.BasicTabbedPaneUI
                  javax.swing.plaf.metal.MetalTabbedPaneUI
                      edu.udo.cs.miningmart.gui.util.MmTabbedPaneUI

All Implemented Interfaces:
  javax.swing.SwingConstants

    public class MmTabbedPaneUI

extends javax.swing.plaf.metal.MetalTabbedPaneUI

A MiningMart-specific UI-Delegate for JTabbedPanes; its use is set as default for JTabbedPanes in MiningMartApplication.main(String[]). It catches an exception that sometimes mysteriously occurs (the exception does no harm but produces an annoying log message).

Author:
  timm

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.metal.MetalTabbedPaneUI
`javax.swing.plaf.metal.MetalTabbedPaneUI.TabbedPaneLayout`

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`javax.swing.plaf.basic.BasicTabbedPaneUI.FocusHandler, javax.swing.plaf.basic.BasicTabbedPaneUI.MouseHandler, javax.swing.plaf.basic.BasicTabbedPaneUI.PropertyChangeHandler, javax.swing.plaf.basic.BasicTabbedPaneUI.TabSelectionHandler`

Field Summary

Fields inherited from class javax.swing.plaf.metal.MetalTabbedPaneUI
`minTabWidth, selectColor, selectHighlight, tabAreaBackground`

Fields inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`calcRect, contentBorderInsets, darkShadow, downKey, focus, focusListener, highlight, leftKey, lightHighlight, maxTabHeight, maxTabWidth, mouseListener, propertyChangeListener, rects, rightKey, runCount, selectedRun, selectedTabPadInsets, shadow, tabAreaInsets, tabChangeListener, tabInsets, tabPane, tabRunOverlay, tabRuns, textIconGap, upKey`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`MmTabbedPaneUI()`

Method Summary
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
`protected void` | `paintTabArea(java.awt.Graphics g, int tabPlacement, int selectedIndex)` This method is overridden since it sometimes throws an ArrayIndexOutOfBoundsException for no apparent reason.

Methods inherited from class javax.swing.plaf.metal.MetalTabbedPaneUI
`calculateMaxTabHeight, createLayoutManager, getColorForGap, getTabLabelShiftX, getTabLabelShiftY, getTabRunOverlay, installDefaults, paint, paintBottomTabBorder, paintContentBorderBottomEdge, paintContentBorderLeftEdge, paintContentBorderRightEdge, paintContentBorderTopEdge, paintFocusIndicator, paintHighlightBelowTab, paintLeftTabBorder, paintRightTabBorder, paintTabBackground, paintTabBorder, paintTopTabBorder, shouldFillGap, shouldPadTabRun, shouldRotateTabRuns, update`

Methods inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`assureRectsCreated, calculateMaxTabWidth, calculateTabAreaHeight, calculateTabAreaWidth, calculateTabHeight, calculateTabWidth, createChangeListener, createFocusListener, createMouseListener, createPropertyChangeListener, createScrollButton, expandTabRunsArray, getContentBorderInsets, getFocusIndex, getFontMetrics, getIconForTab, getMaximumSize, getMinimumSize, getNextTabIndex, getNextTabIndexInRun, getNextTabRun, getPreviousTabIndex, getPreviousTabIndexInRun, getPreviousTabRun, getRolloverTab, getRunForTab, getSelectedTabPadInsets, getTabAreaInsets, getTabBounds, getTabBounds, getTabInsets, getTabRunCount, getTabRunIndent, getTabRunOffset, getTextViewForTab, getVisibleComponent, installComponents, installKeyboardActions, installListeners, installUI, lastTabInRun, layoutLabel, navigateSelectedTab, paintContentBorder, paintIcon, paintTab, paintText, rotateInsets, selectAdjacentRunTab, selectNextTab, selectNextTabInRun, selectPreviousTab, selectPreviousTabInRun, setRolloverTab, setVisibleComponent, shouldRotateTabRuns, tabForCoordinate, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getPreferredSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MmTabbedPaneUI

    public MmTabbedPaneUI()

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

### paintTabArea

    protected void paintTabArea(java.awt.Graphics g,
                                int tabPlacement,
                                int selectedIndex)

  This method is overridden since it sometimes throws an ArrayIndexOutOfBoundsException for no apparent reason. This method simply calls the super class method and catches the exception if it occurs.

  Overrides:
    `paintTabArea` in class `javax.swing.plaf.basic.BasicTabbedPaneUI`
  Parameters:
    `g` -
    `tabPlacement` -
    `selectedIndex` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005